html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  background-color: #8f9091;
}

.l-main {
  width: 100%;
  max-width: 760px;
  margin: 0 auto;
  background-color: white;
}

.l-main__problem {
  position: relative;
  z-index: 10;
}

.l-main__service {
  margin-top: -25%;
}

.l-main__cta {
  padding: 40px 0;
}

.l-main__cta .cta {
  margin: 0 auto;
  max-width: 80%;
  width: 100%;
}

.l-main__cta p {
  text-align: center;
  margin-bottom: 16px;
}

.l-main__inpuiry {
  position: relative;
}

.l-main__inpuiry .cta {
  position: absolute;
  width: 100%;
  max-width: 80%;
  top: 28%;
  left: 50%;
  transform: translate(-50%, -50%);
}

img {
  display: block;
  width: 100%;
  object-fit: cover;
}

.btn {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  background-color: #19e227;
  border-radius: 10px;
  color: #fff;
  font-weight: bold;
  text-decoration: none;
  box-shadow: 0px 5px 15px 0px rgba(0, 0, 0, 0.8);
  animation: scalePulse 2s ease-in-out infinite alternate;
  padding: 8px 0;
  font-size: 16px;
  overflow: hidden;
}

.cta .shine {
  position: absolute;
  top: -50%;
  left: -30%;
  width: 30%;
  height: 200%;
  background: linear-gradient(
    120deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.4) 50%,
    rgba(255, 255, 255, 0) 100%
  );
  transform: rotate(25deg);
  animation: shine 2.5s ease-in-out infinite;
  pointer-events: none;
}

@keyframes shine {
  0% {
    left: -30%;
  }
  40% {
    left: 120%;
  }
  100% {
    left: 120%;
  }
}

@media screen and (max-width: 320px) {
  .btn {
    font-size: 14px;
  }
}

@media screen and (min-width: 500px) {
  .btn {
    padding: 20px 0;
    font-size: 24px;
  }

  .br {
    display: none;
  }
}

@keyframes scalePulse {
  0% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(1.1);
  }
}

.btn--line {
  border: 3px solid white;
}

.btn::after {
  content: "\f0da";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-size: 32px;
  line-height: 1;
}

footer {
  width: 100%;
  max-width: 760px;
  margin: 0 auto;
  background-color: black;
  color: white;
  text-align: center;
  padding: 8px 0;
}
